import os
from tomoscan.tests.datasets import GitlabProject

import pytest


TomwerCIDatasets = GitlabProject(
    branch_name="tomwer",
    host="https://gitlab.esrf.fr",
    cache_dir=os.path.join(
        os.path.dirname(__file__),
        "__archive__",
    ),
    token=None,
    project_id=4299,  # https://gitlab.esrf.fr/tomotools/ci_datasets
)

TomwerCIDatasets.get_dataset_orig = TomwerCIDatasets.get_dataset


def get_dataset_patched(self, *args, **kwargs):
    if os.environ.get("_TOMWER_NO_NETWORK_TESTS", "False") == "True":
        pytest.skip("skipping test when running testsuite offline")
    self.get_dataset_orig(args, kwargs)


TomwerCIDatasets.get_dataset = get_dataset_patched
